Bug 177059 - nautilus: munmap_chunk(): invalid pointer
nautilus: munmap_chunk(): invalid pointer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-05 15:56 EST by Clyde E. Kunkel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 11:51:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clyde E. Kunkel 2006-01-05 15:56:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
Start nautilus as root from a gnome terminal, select an iso file to burn to CD, burn CD, close burn dialogue then close nautilus and error occurs.

Version-Release number of selected component (if applicable):
nautilus-2.13.3-1

How reproducible:
Always

Steps to Reproduce:
1.in gnome terminal as ordinary user, su -
2.# nautilus
3.burn an iso file to CD
4. clouse burn dialague when done
5. close nautilus (either x or file menu close)
6. see Actual Results

Actual Results:  [root@P4C800ED ~]# nautilus
*** glibc detected *** nautilus: munmap_chunk(): invalid pointer: 0x08138165 ***
======= Backtrace: =========
/lib/libc.so.6(__libc_free+0x17b)[0x46af0f]
/usr/lib/libglib-2.0.so.0(g_free+0x22)[0x3a2222]
nautilus[0x80d012f]
/usr/lib/libgobject-2.0.so.0(g_object_unref+0x162)[0x10ba55]
nautilus[0x80cf5c8]
nautilus[0x80cf67e]
/usr/lib/libgobject-2.0.so.0(g_object_unref+0x162)[0x10ba55]
nautilus[0x80cef16]
/usr/lib/libeel-2.so.2(eel_debug_shut_down+0x39)[0x5b9584b]
nautilus[0x807932c]
/lib/libc.so.6(__libc_start_main+0xdc)[0x419644]
nautilus[0x8066b21]
======= Memory map: ========
00101000-0013d000 r-xp 00000000 09:03 609560     /usr/lib/libgobject-2.0.so.0.901.0
0013d000-0013e000 rwxp 0003b000 09:03 609560     /usr/lib/libgobject-2.0.so.0.901.0
0013e000-00141000 r-xp 00000000 09:03 612175     /usr/lib/libgmodule-2.0.so.0.901.0
00141000-00142000 rwxp 00002000 09:03 612175     /usr/lib/libgmodule-2.0.so.0.901.0
00142000-00150000 r-xp 00000000 09:03 838610     /lib/libpthread-2.3.90.so
00150000-00151000 r-xp 0000d000 09:03 838610     /lib/libpthread-2.3.90.so
00151000-00152000 rwxp 0000e000 09:03 838610     /lib/libpthread-2.3.90.so
00152000-00154000 rwxp 00152000 00:00 0
00155000-0015d000 r-xp 00000000 09:03 619537     /usr/lib/libSM.so.6.0.0
0015d000-0015e000 rwxp 00007000 09:03 619537     /usr/lib/libSM.so.6.0.0
00160000-00176000 r-xp 00000000 09:03 619531     /usr/lib/libICE.so.6.3.0
00176000-00178000 rwxp 00015000 09:03 619531     /usr/lib/libICE.so.6.3.0
00178000-00179000 rwxp 00178000 00:00 0
0017b000-001b4000 r-xp 00000000 09:03 616160     /usr/lib/libpango-1.0.so.0.1101.0
001b4000-001b6000 rwxp 00039000 09:03 616160     /usr/lib/libpango-1.0.so.0.1101.0
001b8000-00204000 r-xp 00000000 09:03 619487     /usr/lib/libcairo.so.2.2.3
00204000-00205000 rwxp 0004b000 09:03 619487     /usr/lib/libcairo.so.2.2.3
00207000-0022c000 r-xp 00000000 09:03 619490     /usr/lib/libpangoft2-1.0.so.0.1101.0
0022c000-0022d000 rwxp 00024000 09:03 619490     /usr/lib/libpangoft2-1.0.so.0.1101.0
0022f000-00245000 r-xp 00000000 09:03 615721     /usr/lib/libgdk_pixbuf-2.0.so.0.800.9
00245000-00246000 rwxp 00015000 09:03 615721     /usr/lib/libgdk_pixbuf-2.0.so.0.800.9
00246000-00248000 r-xp 00000000 09:03 619494     /usr/lib/libXinerama.so.1.0.0
00248000-00249000 rwxp 00001000 09:03 619494     /usr/lib/libXinerama.so.1.0.0
00249000-00250000 r-xp 00000000 09:03 619500     /usr/lib/libXi.so.6.0.0
00250000-00251000 rwxp 00006000 09:03 619500     /usr/lib/libXi.so.6.0.0
00253000-0036f000 r-xp 00000000 09:03 612996     /usr/lib/libxml2.so.2.6.23
0036f000-00377000 rwxp 0011c000 09:03 612996     /usr/lib/libxml2.so.2.6.23
00377000-00378000 rwxp 00377000 00:00 0
00378000-00403000 r-xp 00000000 09:03 610072     /usr/lib/libglib-2.0.so.0.901.0
00403000-00404000 rwxp 0008a000 09:03 610072     /usr/lib/libglib-2.0.so.0.901.0
00404000-00525000 r-xp 00000000 09:03 838586     /lib/libc-2.3.90.so
00525000-00527000 r-xp 00121000 09:03 838586     /lib/libc-2.3.90.so
00527000-00528000 rwxp 00123000 09:03 838586     /lib/libc-2.3.90.so
00528000-0052b000 rwxp 00528000 00:00 0
0052b000-0052e000 r-xp 00000000 09:03 619513     /usr/lib/libXrandr.so.2.0.0
0052e000-0052f000 rwxp 00002000 09:03 619513     /usr/lib/libXrandr.so.2.0.0
0052f000-00533000 r-xp 00000000 09:03 619514     /usr/lib/libXfixes.so.3.0.0
00533000-00534000 rwxp 00003000 09:03 619514     /usr/lib/libXfixes.so.3.0.0
00534000-00536000 r-xp 00000000 09:03 838618     /lib/libutil-2.3.90.so
00536000-00537000 r-xp 00001000 09:03 838618     /lib/libutil-2.3.90.so
00537000-00538000 rwxp 00002000 09:03 838618     /lib/libutil-2.3.90.so
00538000-0053f000 r-xp 00000000 09:03 838614     /lib/librt-2.3.90.so
0053f000-00540000 r-xp 00006000 09:03 838614     /lib/librt-2.3.90.so
00540000-00541000 rwxp 00007000 09:03 838614     /lib/librt-2.3.90.so
00541000-00543000 r-xp 00000000 09:03 835190     /lib/libcom_err.so.2.1
00543000-00544000 rwxp 00001000 09:03 835190     /lib/libcom_err.so.2.1
00546000-005c7000 r-xp 00000000 09:03 619517     /usr/lib/libgdk-x11-2.0.so.0.800.9
005c7000-005ca000 rwxp 00081000 09:03 619517     /usr/lib/libgdk-x11-2.0.so.0.800.9
005cc00[root@P4C800ED ~]#



Expected Results:  No failure

Additional info:

Annoying, not debillitating, easy workaround.  Just start nautilus again.
Comment 1 Alexander Larsson 2006-09-04 11:51:55 EDT
Doesn't seem to happen in rawhide, must have been fixed.

Note You need to log in before you can comment on or make changes to this bug.